Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » GMF (Graphical Modeling Framework) » How to install GMF runtime?
How to install GMF runtime? [message #1007813] Thu, 07 February 2013 15:08 Go to next message
Toralf Lund is currently offline Toralf LundFriend
Messages: 70
Registered: July 2009
Member
Not 100% sure this is the right place for the question (or if the forum is reserved for questions about using GMF), but how exactly do I install the GMF runtime these days? The software sites mentioned at http://www.eclipse.org/modeling/gmp/updates/ don't actually contain any software according to my update manager, and neither does the "GMF Runtime" zip file from http://www.eclipse.org/modeling/gmp/downloads/?project=gmf-runtime. But of course, I never quite know what do with Eclipse zip files - sometimes I should access them as "archived" update sites, but in other cases, perhaps I'm supposed to just copy the contents into the Eclipse install directory? I thought I'd ask before trying that, though, since I'm using an Eclipse version bundled with my Linux distro, and things get a bit messy when updating it this way.

Am I the only one who's dumb or forgetful enough to think that there ought to be a reminder on how exactly to install on every download page, by the way?

Thanks,

- Toralf
Re: How to install GMF runtime? [message #1008174 is a reply to message #1007813] Mon, 11 February 2013 09:21 Go to previous messageGo to next message
Ralph Gerbig is currently offline Ralph GerbigFriend
Messages: 697
Registered: November 2009
Senior Member
Hi,

you can install it by using this mirror: http://download.eclipse.org/releases/juno. There is a category called modling. You will find the featue "Graphical Modeling Framework (GMF) Runtime".

Ralph
Re: How to install GMF runtime? [message #1011380 is a reply to message #1008174] Tue, 19 February 2013 12:56 Go to previous message
Toralf Lund is currently offline Toralf LundFriend
Messages: 70
Registered: July 2009
Member
I was too busy to follow up on this earlier, sorry... Anyhow, installation from that site does not work due to missing prerequisites. That's perhaps not surprising, as my release is Helios, not Juno. Yeah, I know, it's somewhat out-of-date, but it's what the Linux distro (CentOS 6) has. When trying this installation source, I realised that the equivalent for my release, i.e. http://download.eclipse.org/releases/helios, wasn't listed, either, so I added it, disabled the other one, and tried again - but with similar results. Error messages are included below.

Maybe the best solution is to forget about the pre-installed Eclipse and download a more recent build. I still think the installation should have worked without this, though, and that the entire installation and software distribution mechanism of Eclipse/eclipse.org leaves a lot to be desired...

- Toralf
---

An error occurred while collecting items to be installed
session context was:(profile=PlatformProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.eclipse.cvs.source,1.0.500.v20100414
No repository found containing: org.eclipse.update.feature,org.eclipse.cvs.source,1.2.0.v20100427-7B77FKt90GE5h0NCO35T7A01911
No repository found containing: osgi.bundle,org.eclipse.ecf.filetransfer.source,4.0.0.201110251336
No repository found containing: osgi.bundle,org.eclipse.ecf.identity.source,3.1.0.201110251336
No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer.httpclient.source,4.0.0.201110251336
No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer.httpclient.ssl.source,1.0.0.201110251336
No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer.source,3.1.0.201110251336
No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer.ssl.source,1.0.0.201110251336
No repository found containing: osgi.bundle,org.eclipse.ecf.source,3.1.0.201110251336
No repository found containing: osgi.bundle,org.eclipse.ecf.ssl.source,1.0.100.201110251336
No repository found containing: org.eclipse.update.feature,org.eclipse.equinox.p2.user.ui.source,2.0.1.r361_v20100903-897HF_oFSRe_8pL9GBQDCs7
No repository found containing: osgi.bundle,org.eclipse.help.base.source,3.5.2.r36_r20100816
No repository found containing: org.eclipse.update.feature,org.eclipse.help.source,1.2.0.v20100427-7e7jESFCsz-mFu_PfwL1ht5
No repository found containing: osgi.bundle,org.eclipse.jdt.source,3.6.1.r361_v20100714-0800
No repository found containing: org.eclipse.update.feature,org.eclipse.jdt.source,3.6.1.r361_v20100714-0800-7z8XFUSFLBmsgvVz0z-3vjz095IX
No repository found containing: osgi.bundle,org.eclipse.pde,3.6.1.v20100625_r361
No repository found containing: org.eclipse.update.feature,org.eclipse.pde,3.6.1.r361_v20100727-7b7mFL-FDX-bf3Q-g1cCcoM
No repository found containing: osgi.bundle,org.eclipse.pde.source,3.6.1.v20100625_r361
No repository found containing: org.eclipse.update.feature,org.eclipse.pde.source,3.6.1.r361_v20100727-7b7mFL-FDX-bf3Q-g1cCcoM
No repository found containing: osgi.bundle,org.eclipse.platform.source,3.6.1.r361_v20100714-0800
No repository found containing: org.eclipse.update.feature,org.eclipse.platform.source,3.6.1.r361_v20100909-9pF78H4oFrRqnz-rr2sGKT6TX5Jjk3z0UdMaW
No repository found containing: osgi.bundle,org.eclipse.rcp.source,3.6.0.v20100527-0800
No repository found containing: org.eclipse.update.feature,org.eclipse.rcp.source,3.6.1.r361_v20100827-9oBYFOtFkzKz-AxIz-fgWr5_V
No repository found containing: osgi.bundle,org.eclipse.sdk,3.6.1.r361_v20100714-0800
No repository found containing: org.eclipse.update.feature,org.eclipse.sdk,3.6.1.r361_v20100714-0800-7Q7m6D9kQffjB-G1z-jfKYkc-vqs8r_Xuk3eIYZU8_cvU
No repository found containing: osgi.bundle,org.objectweb.asm,3.2.0
Previous Topic:Properties View
Next Topic:Generated Code of ViewMap
Goto Forum:
  


Current Time: Fri Nov 28 10:16:35 GMT 2014

Powered by FUDForum. Page generated in 0.02397 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software